resnet18(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/resnet18 --arch resnet18 \
       --model_save_dir saved/subset_fedavg/resnet18 \
       --model_save_step 500 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:1
}

cnn(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn --arch cnn \
       --model_save_dir saved/subset_fedavg/cnn \
       --model_save_step 500 --sync_step 1 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:0
}

cnn_10(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn_10 --arch cnn \
       --model_save_dir saved/subset_fedavg/cnn_10 \
       --model_save_step 500 --sync_step 10 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:1
}

cnn_100(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn_100 --arch cnn \
       --model_save_dir saved/subset_fedavg/cnn_100 \
       --model_save_step 500 --sync_step 100 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:0
}

cnn_in(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn_in_$run --arch cnn_in \
       --model_save_dir saved/subset_fedavg/cnn_in_$run \
       --model_save_step 500 --sync_step 1 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:1
}

cnn_in_100(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn_in_100_$run --arch cnn_in \
       --model_save_dir saved/subset_fedavg/cnn_in_100_$run \
       --model_save_step 500 --sync_step 100 \
       --num_iters 3000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:0
}

cnn_in_90(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn_in_90_$run --arch cnn_in \
       --model_save_dir saved/subset_fedavg/cnn_in_90_$run \
       --model_save_step 500 --sync_step 1 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:0 \
       --target_domain 90
}

cnn_in_100_90(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn_in_100_90_$run --arch cnn_in \
       --model_save_dir saved/subset_fedavg/cnn_in_100_90_$run \
       --model_save_step 500 --sync_step 100 \
       --num_iters 3000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:0 \
       --target_domain 90
}

cnn_in_135(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn_in_135_$run --arch cnn_in \
       --model_save_dir saved/subset_fedavg/cnn_in_135_$run \
       --model_save_step 500 --sync_step 1 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:0 \
       --target_domain 135
}

cnn_in_100_135(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/cnn_in_100_135_$run --arch cnn_in \
       --model_save_dir saved/subset_fedavg/cnn_in_100_135_$run \
       --model_save_step 500 --sync_step 100 \
       --num_iters 3000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:1 \
       --target_domain 135
}

mlp(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/mlp --arch mlp \
       --model_save_dir saved/subset_fedavg/mlp \
       --model_save_step 500 --sync_step 1 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:1
}

mlp_10(){
    python train_subset_fedavg.py \
       --project fedalign --entity anonymous \
       --run_name subset_fedavg/rotatedmnist/mlp_10 --arch mlp \
       --model_save_dir saved/subset_fedavg/mlp_10 \
       --model_save_step 500 --sync_step 10 \
       --num_iters 2000 --use_wandb true \
       --d_lr 0.001 --device_name cuda:0q
}

run=$2

$1
